import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _SFSafariExtension extends _NSObject {
    static alloc(): _SFSafariExtension;
    static new(): _SFSafariExtension;
    init(): _SFSafariExtension;
    /** Calls the completion handler with the base URI of the extension. */
    static getBaseURIWithCompletionHandler$(completionHandler: ((baseURI: _NSURL) => void) | null): void;
}
